Bug 76970 - Cannot simultaineously execute OpenOffice and Mozilla
Cannot simultaineously execute OpenOffice and Mozilla
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2002-10-30 08:35 EST by John Marmion
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-16 11:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Marmion 2002-10-30 08:35:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
If OpenOffice (OOo) is currently accessing the Mozilla Address Book Data Source,
then attempts to run mozilla will fail and user will be forced to create a new
mozilla profile. Alternatively if Mozilla is currently running and OOo attempts
to access the Mozilla Address Book data source, then OOo will silently return no
data.  Please see:


This bug has been fixed in OOo.

This is a serious problem as users will not be able to run the browser. This
problem originates in Mozilla as it will not allow sumultaineous access to the
same profile by more than one version of Mozilla. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. OOo -> Tools ->DataSources->Mozilla->Query
2. Mozilla

Actual Results:  Mozilla forces you to create a new profile.

Expected Results:  Mozilla should run with the default profile

Additional info:
Comment 1 Marco Pratesi 2003-08-30 05:31:39 EDT
This problem can be fixed building OOo against a patched Mozilla
instead of against the Mozilla available on the system.

I'm writing a howto about compilation of OOo 1.1 on Debian
(I'm building on Debian to obtain a binary version that runs
on glibc 2.2.4+), it is available on


Alas, the web site is currently obscured to protest against
software patents; furthermore, the above URLs are not definitive;
hence I report here the relevant part, that is in the section
"Build a patched Mozilla 1.0.0 for the mozab connectivity component".

Some relevant URLs:

This build has to be done with *the same* compiler that will be used
to build OOo.


tar xvzf mozilla-source-1.0.0.tar.gz
cp mozilla-1.0.0-XPIDL_WARNING-gcc331.patch patch-mozilla-1.0.txt
mozilla-1.0.0.configure mozilla/
cd mozilla
patch -p1 < mozilla-1.0.0-XPIDL_WARNING-gcc331.patch
(needed to compile Mozilla with gcc 3.3.1)
patch -p0 < patch-mozilla-1.0.txt
patch -p0 < mozilla-no_profile_lock.patch
The reference URL for the two last patches is
mozilla-no_profile_lock.patch is the final part of patch-mozilla-1.0.1.txt
i.e. it contains only the changes to profile/src/nsProfile.cpp
Such changes are missing in patch-mozilla-1.0.txt; it seems that such
portion of patch has been simply forgot by John Marmion when he has
gathered patches for Mozilla 1.0; however, he has provided it in the
"cumulative" patches for Mozilla 1.0.1 and 1.1.
sh mozilla-1.0.0.configure


diff -ru mozilla-1.0.0.orig/xpcom/typelib/xpidl/xpidl.h
--- mozilla-1.0.0.orig/xpcom/typelib/xpidl/xpidl.h      Wed Apr 10 05:38:31 2002
+++ mozilla-1.0.0/xpcom/typelib/xpidl/xpidl.h   Mon Aug 25 22:04:40 2003
@@ -71,10 +71,10 @@
  * parens, e.g. XPIDL_WARNING((foo, bar, "sil"))
  * Probably best removed when we leave 6.5.  */
-#define XPIDL_WARNING(x) IDL_tree_warning##x
+#define XPIDL_WARNING IDL_tree_warning
 extern void xpidl_tree_warning(IDL_tree p, int level, const char *fmt, ...);
-#define XPIDL_WARNING(x) xpidl_tree_warning##x
+#define XPIDL_WARNING xpidl_tree_warning

diff -ru mozilla-1.0.0.orig/xpcom/typelib/xpidl/xpidl_header.c
--- mozilla-1.0.0.orig/xpcom/typelib/xpidl/xpidl_header.c       Wed Apr 10
05:38:32 2002
+++ mozilla-1.0.0/xpcom/typelib/xpidl/xpidl_header.c    Mon Aug 25 22:01:54 2003
@@ -317,12 +317,12 @@

           case IDLN_CODEFRAG:
-            XPIDL_WARNING((iter, IDL_WARNING1,
+            XPIDL_WARNING(iter, IDL_WARNING1,
                            "%%{ .. %%} code fragment within interface "
                            "ignored when generating NS_DECL_%s macro; "
                            "if the code fragment contains method "
                            "declarations, the macro probably isn't "
-                           "complete.", classNameUpper));
+                           "complete.", classNameUpper);

[... the same for xpidl_java.c, xpidl_typelib.c, xpidl_util.c]

I hope this helps.

Marco Pratesi
Comment 2 wind li 2003-09-02 04:26:47 EDT
You should see for Update Mozilla 1.0 runtime components
Comment 3 Marco Pratesi 2003-09-05 09:25:41 EDT
I have updated my howto documents according to

Thank you so much for the hint.

Marco Pratesi
Comment 4 Dan Williams 2003-12-05 14:16:46 EST
Is this still a problem with OOo 1.0.2-8?
Comment 5 Dan Williams 2004-09-16 11:44:39 EDT
Current versions of OOo built by Red Hat don't include the Mozilla
address book stuff, closing.

Note You need to log in before you can comment on or make changes to this bug.